<?php
class AddedSupportForPartnerPages extends CakeMigration {

/**
 * Migration description
 *
 * @var string
 */
	public $description = 'Added_support_for_partner_pages';

/**
 * Actions to be performed
 *
 * @var array $migration
 */
	public $migration = array(
		'up' => array(
			'create_field' => array(
				'evpartners_partners' => array(
					'website_url' => array('type' => 'string', 'null' => true, 'default' => null, 'length' => 250, 'collate' => 'utf8_general_ci', 'charset' => 'utf8', 'after' => 'name'),
					'body' => array('type' => 'text', 'null' => true, 'default' => null, 'collate' => 'utf8_general_ci', 'charset' => 'utf8', 'after' => 'website_url'),
				),
			),
			'drop_field' => array(
				'evpartners_partners' => array('url'),
			),
			'alter_field' => array(
				'evpartners_partners' => array(
					'add_to_slider' => array('type' => 'boolean', 'null' => true, 'default' => null),
				),
			),
		),
		'down' => array(
			'drop_field' => array(
				'evpartners_partners' => array('website_url', 'body'),
			),
			'create_field' => array(
				'evpartners_partners' => array(
					'url' => array('type' => 'string', 'null' => true, 'default' => null, 'length' => 250, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
				),
			),
			'alter_field' => array(
				'evpartners_partners' => array(
					'add_to_slider' => array('type' => 'boolean', 'null' => false, 'default' => '0'),
				),
			),
		),
	);

/**
 * Before migration callback
 *
 * @param string $direction Direction of migration process (up or down)
 * @return bool Should process continue
 */
	public function before($direction) {
		return true;
	}

/**
 * After migration callback
 *
 * @param string $direction Direction of migration process (up or down)
 * @return bool Should process continue
 */
	public function after($direction) {
		return true;
	}
}
