<?php

App::uses('EvPartnersAppController', 'EvPartners.Controller');

class PartnersController extends EvPartnersAppController
{
	protected function _adminFormFields()
	{
		$fields = parent::_adminFormFields();

		unset($fields['Partner.sequence']);

		return $fields;
	}

	public function beforeFilter()
	{
		parent::beforeFilter();

		$this->Auth->allow(array(
			'index'
		));
	}

	public function index()
	{
		$Model = $this->{$this->modelClass};

        // see if there is a linked content page
        $page_id = Configure::read('EvPartners.page_id');

        if (! empty($page_id)) {

            $this->assignPage($page_id, 'page');
        }

        $this->set(
        	'partners',
        	$Model->find(
        		'all',
        		array(
        			'conditions' => array(
        				'Partner.is_active' => 1
        			),
        			'order' => 'Partner.sequence ASC',
        			'contain' => array(
        				'Image'
        			)
        		)
        	)
        );

        $this->view = 'EvPartners.Partners/index';
	}

    public function view($id)
    {

        $Model = $this->{$this->modelClass};

        $partner = $Model->find('first', array(
            'conditions' => array(
                'Partner.is_active' => 1,
                'Partner.id' => $id
            ),
            'contain' => array(

            )
        ));

        // Fall back incase no page is found
        $this->set('title_for_layout', $partner['Partner']['name']);

        $this->set('partner', $partner);

        $this->view = 'EvPartners.Partners/view';
    }

}
